# Gimp.ConfigInterface.string_append_escaped

    @accepts(GLib.String, unicode)
    @returns(none)
    def string_append_escaped(string, val):
        # Python wrapper for gimp_config_string_append_escaped()

Escapes and quotes val and appends it to string. The escape algorithm is different from the one used by g_strescape() since it leaves non-ASCII characters intact and thus preserves UTF-8 strings. Only control characters and quotes are being escaped.

Since 2.4

string

  pointer to a GLib.String

val

  a string to append or None